# Generated from arachni-reactor-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name arachni-reactor

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: A pure-Ruby implementation of the Reactor pattern
License: BSD 3-Clause
URL: https://github.com/Arachni/arachni-reactor
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Arachni::Reactor is a simple, lightweight, pure-Ruby implementation of the
Reactor
pattern, mainly focused on network connections -- and less so on generic
tasks.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.1.2-1
- Initial package
